# Datenbank-Connector direkt von MySQL
# http://dev.mysql.com/downloads/connector/python/
import mysql.connector

import random

Servername = 'localhost'
Benutzer   = 'meinBenutzer'
Passwort   = 'gutesPasswort'
Datenbank  = 'fahrschule'

# Verbinden
con = mysql.connector.connect(
            host     = Servername,
            user     = Benutzer,
            password = Passwort,
            database = Datenbank )



SQLBefehle = """
CREATE TABLE IF NOT EXISTS schueler (
  SNR     integer NOT NULL,
  Vorname varchar(30),
  Name    varchar(50) NOT NULL,
  PRIMARY KEY (SNR)
);
CREATE TABLE IF NOT EXISTS fahrstunde (
  SNR    integer,
  Datum  date,
  Zeit   time,
  PRIMARY KEY (SNR, Datum),
  FOREIGN KEY (SNR) 
        REFERENCES schueler(SNR)
);

"""

cursor = con.cursor()

try:
  for einzelCursor in cursor.execute(SQLBefehle, multi=True):
    print(einzelCursor._executed.decode('UTF-8'))

   
except mysql.connector.Error as err:
  print("Fehler bei der SQL-Ausführung: %s" % (err))
  raise err # Fehler an übergeordnetes Programm weitergeben





cursor.close()
con.disconnect()
